<?php
// Use $conf, not variable_get(), so that we may be included by bin/site_update_dump
global $conf;

if (!empty($conf['site_update_is_base'])) {
  // Defaults for live/working copies.
  $site_update_defaults = array(
    'site_update_id_bump' => 1000001, // TODO: this should default to 0, in favor of increment method!
    'site_update_id_offset' => 1,
    'site_update_id_increment' => 10,
    'site_update_sql_file' => 'sites/all/database/site_update.sql',
  );
}
else {
  // Defaults for base.
  $site_update_defaults = array(
    'site_update_id_bump' => 1000001, // TODO: this should default to 0, in favor of increment method!
    'site_update_id_offset' => 10,
    'site_update_id_increment' => 10,
    'site_update_sql_file' => 'sites/all/database/site_update.sql',
  );
}

foreach ($site_update_defaults as $key => $value) {
  if (!isset($conf[$key])) {
    define(strtoupper($key), $value);
  }
  else {
    define(strtoupper($key), $conf[$key]);
  }
}
